org.apache.solr.search

## Class QueryCommand

- java.lang.Object
- - org.apache.solr.search.QueryCommand

-     public class QueryCommand
      extends Object

  A query request command to avoid having to change the method signatures if we want to pass additional information to the searcher.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryCommand` | `clearFlags(int flags)`
    `CursorMark` | `getCursorMark()`
    `DocSet` | `getFilter()`
    `List<Query>` | `getFilterList()`
    `int` | `getFlags()`
    `int` | `getLen()`
    `int` | `getOffset()`
    `Query` | `getQuery()`
    `boolean` | `getSegmentTerminateEarly()`
    `Sort` | `getSort()`
    `int` | `getSupersetMaxDoc()`
    `boolean` | `getTerminateEarly()`
    `long` | `getTimeAllowed()`
    `boolean` | `isNeedDocSet()`
    `QueryCommand` | `replaceFlags(int flags)`
    `QueryCommand` | `setCursorMark(CursorMark cursorMark)`
    `QueryCommand` | `setFilter(DocSet filter)`
    `QueryCommand` | `setFilterList(List<Query> filterList)`
    `QueryCommand` | `setFilterList(Query f)` A simple setter to build a filterList from a query
    `QueryCommand` | `setFlags(int flags)`
    `QueryCommand` | `setLen(int len)`
    `QueryCommand` | `setNeedDocSet(boolean needDocSet)`
    `QueryCommand` | `setOffset(int offset)`
    `QueryCommand` | `setQuery(Query query)`
    `QueryCommand` | `setSegmentTerminateEarly(boolean segmentSegmentTerminateEarly)`
    `QueryCommand` | `setSort(Sort sort)`
    `QueryCommand` | `setSupersetMaxDoc(int supersetMaxDoc)`
    `QueryCommand` | `setTerminateEarly(boolean segmentTerminateEarly)`
    `QueryCommand` | `setTimeAllowed(long timeAllowed)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryCommand

          public QueryCommand()

  - ### Method Detail

    - #### getCursorMark

          public CursorMark getCursorMark()

    - #### setCursorMark

          public QueryCommand setCursorMark(CursorMark cursorMark)

    - #### getQuery

          public Query getQuery()

    - #### setQuery

          public QueryCommand setQuery(Query query)

    - #### getFilterList

          public List<Query> getFilterList()

    - #### setFilterList

          public QueryCommand setFilterList(List<Query> filterList)

      Throws:
        `IllegalArgumentException` - if filter is not null.

    - #### setFilterList

          public QueryCommand setFilterList(Query f)

      A simple setter to build a filterList from a query
      Throws:
        `IllegalArgumentException` - if filter is not null.

    - #### getFilter

          public DocSet getFilter()

    - #### setFilter

          public QueryCommand setFilter(DocSet filter)

      Throws:
        `IllegalArgumentException` - if filterList is not null.

    - #### getSort

          public Sort getSort()

    - #### setSort

          public QueryCommand setSort(Sort sort)

    - #### getOffset

          public int getOffset()

    - #### setOffset

          public QueryCommand setOffset(int offset)

    - #### getLen

          public int getLen()

    - #### setLen

          public QueryCommand setLen(int len)

    - #### getSupersetMaxDoc

          public int getSupersetMaxDoc()

    - #### setSupersetMaxDoc

          public QueryCommand setSupersetMaxDoc(int supersetMaxDoc)

    - #### getFlags

          public int getFlags()

    - #### replaceFlags

          public QueryCommand replaceFlags(int flags)

    - #### setFlags

          public QueryCommand setFlags(int flags)

    - #### clearFlags

          public QueryCommand clearFlags(int flags)

    - #### getTimeAllowed

          public long getTimeAllowed()

    - #### setTimeAllowed

          public QueryCommand setTimeAllowed(long timeAllowed)

    - #### isNeedDocSet

          public boolean isNeedDocSet()

    - #### setNeedDocSet

          public QueryCommand setNeedDocSet(boolean needDocSet)

    - #### getTerminateEarly

          public boolean getTerminateEarly()

    - #### setTerminateEarly

          public QueryCommand setTerminateEarly(boolean segmentTerminateEarly)

    - #### getSegmentTerminateEarly

          public boolean getSegmentTerminateEarly()

    - #### setSegmentTerminateEarly

          public QueryCommand setSegmentTerminateEarly(boolean segmentSegmentTerminateEarly)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.